Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Active_Map_Manager_Iterator_Adapter Class Template Reference

Defines a iterator implementation for the Active_Map_Manager_Adapter. More...

`#include <Map_T.h>`

Inheritance diagram for ACE_Active_Map_Manager_Iterator_Adapter:

[legend]
Collaboration diagram for ACE_Active_Map_Manager_Iterator_Adapter:

[legend]
List of all members.

## Public Types
typedef ACE_TYPENAME ACE_Active_Map_Manager< VALUE >::iterator | implementation
## Public Methods
| ACE_Active_Map_Manager_Iterator_Adapter (const ACE_Map_Iterator< ACE_Active_Map_Manager_Key, VALUE, ACE_Null_Mutex > &impl)
| Constructor. More...
virtual | ~ACE_Active_Map_Manager_Iterator_Adapter (void)
| Destructor. More...
virtual ACE_Iterator_Impl< T > * | clone (void) const
| Clone. More...
virtual int | compare (const ACE_Iterator_Impl< T > &rhs) const
| Comparison. More...
virtual T | dereference (void) const
| Dereference. More...
virtual void | plus_plus (void)
| Advance. More...
virtual void | minus_minus (void)
| Reverse. More...
ACE_Map_Iterator< ACE_Active_Map_Manager_Key, VALUE, ACE_Null_Mutex > & | impl (void)
| Accessor to implementation object. More...
## Protected Attributes
ACE_Map_Iterator< ACE_Active_Map_Manager_Key, VALUE, ACE_Null_Mutex > | implementation_
| All implementation details are forwarded to this class. More...

## Detailed Description

### template<class T, class VALUE>
class ACE_Active_Map_Manager_Iterator_Adapter< T, VALUE >

Defines a iterator implementation for the Active_Map_Manager_Adapter.

Implementation to be provided by ACE_Active_Map_Manager::iterator.

## Member Typedef Documentation

template<class T, class VALUE>
typedef ACE_TYPENAME ACE_Active_Map_Manager<VALUE>::iterator ACE_Active_Map_Manager_Iterator_Adapter::implementation

## Constructor & Destructor Documentation

template<class T, class VALUE>
ACE_INLINE ACE_Active_Map_Manager_Iterator_Adapter< T, VALUE >::ACE_Active_Map_Manager_Iterator_Adapter | ( | const ACE_Map_Iterator< ACE_Active_Map_Manager_Key, VALUE, ACE_Null_Mutex > & | impl | ) |

| Constructor.

template<class T, class VALUE>
ACE_INLINE ACE_Active_Map_Manager_Iterator_Adapter< T, VALUE >::~ACE_Active_Map_Manager_Iterator_Adapter | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class T, class VALUE>
ACE_INLINE ACE_Iterator_Impl< T > * ACE_Active_Map_Manager_Iterator_Adapter< T, VALUE >::clone | ( | void |  | ) | const`[virtual]`

| Clone. Reimplemented from ACE_Iterator_Impl.

template<class T, class VALUE>
ACE_INLINE int ACE_Active_Map_Manager_Iterator_Adapter< T, VALUE >::compare | ( | const ACE_Iterator_Impl< T > & | rhs | ) | const`[virtual]`

| Comparison. Reimplemented from ACE_Iterator_Impl.

template<class T, class VALUE>
ACE_INLINE T ACE_Active_Map_Manager_Iterator_Adapter< T, VALUE >::dereference | ( | void |  | ) | const`[virtual]`

| Dereference. Reimplemented from ACE_Iterator_Impl.

template<class T, class VALUE>
ACE_INLINE ACE_Map_Iterator< ACE_Active_Map_Manager_Key, VALUE, ACE_Null_Mutex > & ACE_Active_Map_Manager_Iterator_Adapter< T, VALUE >::impl | ( | void |  | ) |

| Accessor to implementation object.

template<class T, class VALUE>
ACE_INLINE void ACE_Active_Map_Manager_Iterator_Adapter< T, VALUE >::minus_minus | ( | void |  | ) | `[virtual]`

| Reverse. Reimplemented from ACE_Iterator_Impl.

template<class T, class VALUE>
ACE_INLINE void ACE_Active_Map_Manager_Iterator_Adapter< T, VALUE >::plus_plus | ( | void |  | ) | `[virtual]`

| Advance. Reimplemented from ACE_Iterator_Impl.

## Member Data Documentation

template<class T, class VALUE>
ACE_Map_Iterator<ACE_Active_Map_Manager_Key, VALUE, ACE_Null_Mutex> ACE_Active_Map_Manager_Iterator_Adapter::implementation_`[protected]`

| All implementation details are forwarded to this class.

The documentation for this class was generated from the following files:

- Map_T.h
- Map_T.i